#!/bin/bash

echo "Starting Docker monitoring stack..."
echo "This will start Prometheus, Grafana, cAdvisor, and Node Exporter"

# Start the services
docker compose down
docker compose up -d

echo ""
echo "Services started successfully!"
echo ""
echo "Access URLs:"
echo "- Grafana: http://localhost:8883 (admin/admin)"
echo "- Prometheus: http://localhost:8882"
echo "- cAdvisor: http://localhost:8881"
echo "- Node Exporter: http://localhost:9100"
echo ""
echo "To stop the services, run: docker-compose down"
echo "To view logs, run: docker-compose logs -f"
